summaryrefslogtreecommitdiffstats
path: root/tests/ts/misc
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ts/misc')
-rwxr-xr-xtests/ts/misc/flock3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/ts/misc/flock b/tests/ts/misc/flock
index 9a44e155b..cf3ca5357 100755
--- a/tests/ts/misc/flock
+++ b/tests/ts/misc/flock
@@ -22,6 +22,9 @@ ts_check_test_command "$TS_CMD_FLOCK"
ts_check_prog "ps"
ts_check_prog "timeout"
+if ! ps --ppid $$ &>/dev/null; then
+ ts_skip "no ps --ppid"
+fi
function do_lock {
local opts="$1"